<?php


// include 'db.php';


$totalUsersQuery = "SELECT COUNT(*) AS total FROM MLM_users";
$totalUsersResult = $conn->query($totalUsersQuery);
$totalUsers = $totalUsersResult->fetch_assoc()['total'];

//  today's users
$todayUsersQuery = "SELECT COUNT(*) AS total FROM MLM_users WHERE DATE(created_at) = CURDATE()";
$todayUsersResult = $conn->query($todayUsersQuery);
$todayUsers = $todayUsersResult->fetch_assoc()['total'];

// Fetch total revenue
$totalRevenueQuery = "SELECT SUM(amount) AS total FROM wallet_transactions WHERE wallet_type = 'add'";
$totalRevenueResult = $conn->query($totalRevenueQuery);
$totalRevenue = $totalRevenueResult->fetch_assoc()['total'] ?? 0;

// Fetch today's revenue
$todayRevenueQuery = "SELECT SUM(amount) AS total FROM wallet_transactions WHERE wallet_type = 'add' AND DATE(created_at) = CURDATE()";
$todayRevenueResult = $conn->query($todayRevenueQuery);
$todayRevenue = $todayRevenueResult->fetch_assoc()['total'] ?? 0;

// Fetch total withdrawals
$totalWithdrawalQuery = "SELECT SUM(amount) AS total FROM wallet_transactions WHERE wallet_type = 'withdrawal'";
$totalWithdrawalResult = $conn->query($totalWithdrawalQuery);
$totalWithdrawal = $totalWithdrawalResult->fetch_assoc()['total'] ?? 0;

// Fetch today's withdrawals
$todayWithdrawalQuery = "SELECT SUM(amount) AS total FROM wallet_transactions WHERE wallet_type = 'withdrawal' AND DATE(created_at) = CURDATE()";
$todayWithdrawalResult = $conn->query($todayWithdrawalQuery);
$todayWithdrawal = $todayWithdrawalResult->fetch_assoc()['total'] ?? 0;

// Fetch monthly revenue data for chart
$monthlyRevenueQuery = "SELECT MONTH(created_at) AS month, SUM(amount) AS total 
                        FROM wallet_transactions 
                        WHERE wallet_type = 'add' 
                        GROUP BY MONTH(created_at)";
$monthlyRevenueResult = $conn->query($monthlyRevenueQuery);
$monthlyRevenue = array_fill(1, 12, 0);  // Initialize all months with 0
while ($row = $monthlyRevenueResult->fetch_assoc()) {
    $monthlyRevenue[intval($row['month'])] = floatval($row['total']);
}

// Fetch monthly withdrawals data for chart
$monthlyWithdrawalsQuery = "SELECT MONTH(created_at) AS month, SUM(amount) AS total 
                            FROM wallet_transactions 
                            WHERE wallet_type = 'withdrawal' 
                            GROUP BY MONTH(created_at)";
$monthlyWithdrawalsResult = $conn->query($monthlyWithdrawalsQuery);
$monthlyWithdrawals = array_fill(1, 12, 0);
while ($row = $monthlyWithdrawalsResult->fetch_assoc()) {
    $monthlyWithdrawals[intval($row['month'])] = floatval($row['total']);
}

// Fetch monthly user registrations data for chart
$monthlyUsersQuery = "SELECT MONTH(created_at) AS month, COUNT(*) AS total 
                      FROM MLM_users 
                      GROUP BY MONTH(created_at)";
$monthlyUsersResult = $conn->query($monthlyUsersQuery);
$monthlyUsers = array_fill(1, 12, 0);
while ($row = $monthlyUsersResult->fetch_assoc()) {
    $monthlyUsers[intval($row['month'])] = intval($row['total']);
}
?>

<div class="dashboard-main-body">
    <div class="row gy-4">
        <div class="col-lg-12">
            <div class="row gy-4">

                <!-- Total Users -->
                <div class="col-lg-4 col-sm-6">
                    <div class="card px-24 py-16 shadow-none radius-12 border h-100 bg-gradient-start-3">
                        <div class="card-body p-0">
                            <div class="d-flex flex-wrap align-items-center justify-content-between gap-1">
                                <div class="d-flex align-items-center flex-wrap gap-16">
                                    <span class="mb-0 w-40-px h-40-px bg-primary-600 flex-shrink-0 text-white d-flex justify-content-center align-items-center rounded-circle h6 mb-0">
                                        <iconify-icon icon="flowbite:users-group-solid" class="icon"></iconify-icon>
                                    </span>

                                    <div class="flex-grow-1">
                                        <h6 class="fw-semibold mb-0"><?php echo $totalUsers; ?></h6>
                                        <span class="fw-medium text-secondary-light text-md">Total Users</span>
                                        <p class="text-sm mb-0 d-flex align-items-center flex-wrap gap-12 mt-12">
                                            <span class="bg-success-focus px-6 py-2 rounded-2 fw-medium text-success-main text-sm d-flex align-items-center gap-8">
                                                <?php echo '+' . $todayUsers; ?><i class="ri-arrow-up-line"></i>
                                            </span>
                                            Today
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Total Revenue -->
                <div class="col-lg-4 col-sm-6">
                    <div class="card px-24 py-16 shadow-none radius-12 border h-100 bg-gradient-start-3">
                        <div class="card-body p-0">
                            <div class="d-flex flex-wrap align-items-center justify-content-between gap-1">
                                <div class="d-flex align-items-center flex-wrap gap-16">
                                    <span class="mb-0 w-40-px h-40-px bg-primary-600 flex-shrink-0 text-white d-flex justify-content-center align-items-center rounded-circle h6 mb-0">
                                        <i class="ri-money-rupee-circle-fill"></i>
                                    </span>

                                    <div class="flex-grow-1">
                                        <h6 class="fw-semibold mb-0"><?php echo number_format($totalRevenue, 2); ?></h6>
                                        <span class="fw-medium text-secondary-light text-md">Total Revenue</span>
                                        <p class="text-sm mb-0 d-flex align-items-center flex-wrap gap-12 mt-12">
                                            <span class="bg-success-focus px-6 py-2 rounded-2 fw-medium text-success-main text-sm d-flex align-items-center gap-8">
                                                <?php echo '+' . number_format($todayRevenue, 2); ?><i class="ri-arrow-up-line"></i>
                                            </span>
                                            Today
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Total Withdrawals -->

                <div class="col-lg-4 col-sm-6">
                    <div class="card px-24 py-16 shadow-none radius-12 border h-100 bg-gradient-start-3">
                        <div class="card-body p-0">
                            <div class="d-flex flex-wrap align-items-center justify-content-between gap-1">
                                <div class="d-flex align-items-center flex-wrap gap-16">
                                    <span class="mb-0 w-40-px h-40-px bg-danger-600 flex-shrink-0 text-white d-flex justify-content-center align-items-center rounded-circle h6 mb-0">
                                        <i class="ri-bank-card-fill"></i>
                                    </span>
                                    <div class="flex-grow-1">
                                        <h6 class="fw-semibold mb-0"><?php echo number_format($totalWithdrawal, 2); ?></h6>
                                        <span class="fw-medium text-secondary-light text-md">Total Withdrawals</span>
                                        <p class="text-sm mb-0 d-flex align-items-center flex-wrap gap-12 mt-12">
                                            <span class="bg-success-focus px-6 py-2 rounded-2 fw-medium text-success-main text-sm d-flex align-items-center gap-8">
                                                <?php echo '-' . number_format($todayWithdrawal, 2); ?><i class="ri-arrow-up-line"></i>
                                            </span>
                                            Today
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>

        <div class="col-lg-12">
            <div class="card shadow-none radius-12 border h-100">
                <div class="card-body">
                    <h6 class="fw-semibold mb-3">Revenue, Withdrawals & Users</h6>
                    <canvas id="revenueChart"></canvas>
                </div>
            </div>
        </div>

    </div>
</div>


<script src="https://cdn.jsdelivr.net/npm/chart.js"></script>

<script>
    var monthlyRevenue = <?php echo json_encode(array_values($monthlyRevenue)); ?>;
    var monthlyWithdrawals = <?php echo json_encode(array_values($monthlyWithdrawals)); ?>;
    var monthlyUsers = <?php echo json_encode(array_values($monthlyUsers)); ?>;

    var ctx = document.getElementById('revenueChart').getContext('2d');
    var revenueChart = new Chart(ctx, {
        type: 'line',
        data: {
            labels: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'],
            datasets: [{
                    label: 'Revenue',
                    data: monthlyRevenue,
                    borderColor: 'rgba(75, 192, 192, 1)',
                    backgroundColor: 'rgba(75, 192, 192, 0.2)',
                    fill: true,
                    tension: 0.3
                },
                {
                    label: 'Withdrawals',
                    data: monthlyWithdrawals,
                    borderColor: 'rgba(255, 99, 132, 1)',
                    backgroundColor: 'rgba(255, 99, 132, 0.2)',
                    fill: true,
                    tension: 0.3
                },
                {
                    label: 'Total Users',
                    data: monthlyUsers,
                    borderColor: 'rgba(54, 162, 235, 1)',
                    backgroundColor: 'rgba(54, 162, 235, 0.2)',
                    fill: true,
                    tension: 0.3
                }
            ]
        },
        options: {
            responsive: true,
            plugins: {
                legend: {
                    position: 'top',
                },
                title: {
                    display: true,
                    text: 'Monthly Revenue, Withdrawals & Users'
                }
            },
            scales: {
                x: {
                    title: {
                        display: true,
                        text: 'Months'
                    }
                },
                y: {
                    title: {
                        display: true,
                        text: 'Amount / Users'
                    }
                }
            }
        }
    });
</script>