<!-- meta tags and other links -->
<!DOCTYPE html>
<html lang="en" data-theme="light">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <!-- <title>Wowdash - Bootstrap 5 Admin Dashboard HTML Template</title> -->



  <!-- <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css"> -->

  <link rel="icon" type="image/png" href="../admin/assets/images/pro.png" sizes="16x16">

  <link rel="stylesheet" href="../admin/assets/css/remixicon.css">
  <!-- BootStrap css -->
  <link rel="stylesheet" href="../admin/assets/css/lib/bootstrap.min.css">
  <!-- Apex Chart css -->
  <link rel="stylesheet" href="../admin/assets/css/lib/apexcharts.css">
  <!-- Data Table css -->
  <link rel="stylesheet" href="../admin/assets/css/lib/dataTables.min.css">
  
  <!-- Text Editor css -->
  <link rel="stylesheet" href="../admin/assets/css/lib/editor-katex.min.css">
  <link rel="stylesheet" href="../admin/assets/css/lib/editor.atom-one-dark.min.css">
  <link rel="stylesheet" href="../admin/assets/css/lib/editor.quill.snow.css">
  <!-- Date picker css -->
  <link rel="stylesheet" href="../admin/assets/css/lib/flatpickr.min.css">
  <!-- Calendar css -->
  <link rel="stylesheet" href="../admin/assets/css/lib/full-calendar.css">
  <!-- Vector Map css -->
  <link rel="stylesheet" href="../admin/assets/css/lib/jquery-jvectormap-2.0.5.css">
  <!-- Popup css -->
  <link rel="stylesheet" href="../admin/assets/css/lib/magnific-popup.css">
  <!-- Slick Slider css -->
  <link rel="stylesheet" href="../admin/assets/css/lib/slick.css">
  <!-- prism css -->
  <link rel="stylesheet" href="../admin/assets/css/lib/prism.css">
  <!-- file upload css -->
  <link rel="stylesheet" href="../admin/assets/css/lib/file-upload.css">
  
  <link rel="stylesheet" href="../admin/assets/css/lib/audioplayer.css">
  <!-- main css -->
  <link rel="stylesheet" href="../admin/assets/css/style.css">

  <script src="https://code.iconify.design/3/3.0.1/iconify.min.js"></script>

</head>
  <body>

  <?php  include 'sidebar.php' ?>


<main class="dashboard-main">

<?php
// session_start(); // Make sure session is started

if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] !== true) {
    header('Location: login.php');
    exit; 
}

include 'db.php'; 

$admin_id = $_SESSION['id'];
$query = "SELECT username, admin_type FROM admin WHERE id = ?";
$stmt = $conn->prepare($query);
$stmt->bind_param("i", $admin_id);
$stmt->execute();
$result = $stmt->get_result();

// Fetch admin data
$admin_data = $result->fetch_assoc();
$username = $admin_data['username'];
$admin_type = $admin_data['admin_type'];
$type_label = $admin_type == 1 ? 'Admin' : 'Staff'; // Determine user type
?>

<div class="navbar-header">
  <div class="row align-items-center justify-content-between">
    <div class="col-auto">
      <div class="d-flex flex-wrap align-items-center gap-4">
        <button type="button" class="sidebar-toggle">
          <iconify-icon icon="heroicons:bars-3-solid" class="icon text-2xl non-active"></iconify-icon>
          <iconify-icon icon="iconoir:arrow-right" class="icon text-2xl active"></iconify-icon>
        </button>
        <button type="button" class="sidebar-mobile-toggle">
          <iconify-icon icon="heroicons:bars-3-solid" class="icon"></iconify-icon>
        </button>
      </div>
    </div>
    <div class="col-auto">
      <div class="d-flex flex-wrap align-items-center gap-3">
        <div class="dropdown">
          <button class="d-flex justify-content-center align-items-center rounded-circle" type="button" data-bs-toggle="dropdown">
            <img src="../admin/assets/images/user.png" alt="image" class="w-40-px h-40-px object-fit-cover rounded-circle">
          </button>
          <div class="dropdown-menu to-top dropdown-menu-sm">
            <div class="py-12 px-16 radius-8 bg-primary-50 mb-16 d-flex align-items-center justify-content-between gap-2">
              <div>
                <h6 class="text-lg text-primary-light fw-semibold mb-2"><?php echo htmlspecialchars($username); ?></h6>
                <span class="text-secondary-light fw-medium text-sm"><?php echo htmlspecialchars($type_label); ?></span>
              </div>
              <button type="button" class="hover-text-danger">
                <iconify-icon icon="radix-icons:cross-1" class="icon text-xl"></iconify-icon> 
              </button>
            </div>
            <ul class="to-top-list">
              <li>
                <a href="view-profile.php"  class="dropdown-item text-black px-0 py-8 hover-bg-transparent hover-text-primary d-flex align-items-center gap-3" href="view-profile.html"> 
                  <iconify-icon icon="solar:user-linear" class="icon text-xl"></iconify-icon> My Profile</a>
              </li>
              <li>
                <a href="logout.php" class="dropdown-item text-black px-0 py-8 hover-bg-transparent hover-text-danger d-flex align-items-center gap-3"> 
                  <iconify-icon icon="lucide:power" class="icon text-xl"></iconify-icon> Log Out</a>
              </li>
            </ul>
          </div>
        </div>
      </div>
    </div>
  </div>
</div> 
