<?php
include 'header.php';
include 'db.php'; // Include your database connection file

$message = ""; // Initialize the message variable

// Check if form is submitted
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Get form data
    $name = $_POST['name'];
    $email = $_POST['email'];
    $password = $_POST['password']; // Get the password directly without hashing
    $admin_type = $_POST['admin_type']; // Get the admin type

    // Prepare the insert query
    $insertQuery = "INSERT INTO `admin` (`username`, `email`, `password`, `created_at`, `admin_type`) VALUES (?, ?, ?, NOW(), ?)";
    $stmt = $conn->prepare($insertQuery);
    $stmt->bind_param("sssi", $name, $email, $password, $admin_type);

    // Execute the query
    if ($stmt->execute()) {
        $message = "New admin added successfully!";
        // Optionally redirect after a successful insert
        // header("Location: index.php");
        // exit;
    } else {
        $message = "Error adding admin: " . $conn->error;
    }

    // Close statement
    $stmt->close();
}
?>

<div class="dashboard-main-body">
    <div class="d-flex flex-wrap align-items-center justify-content-between gap-3 mb-24">
        <h6 class="fw-semibold mb-0">Add New Admin</h6>
        <ul class="d-flex align-items-center gap-2">
            <li class="fw-medium">
                <a href="index.php" class="d-flex align-items-center gap-1 hover-text-primary">
                    <iconify-icon icon="solar:home-smile-angle-outline" class="icon text-lg"></iconify-icon>
                    Dashboard
                </a>
            </li>
            <li>-</li>
            <li class="fw-medium">New Admin</li>
        </ul>
    </div>

    <div class="row gy-4" style="justify-content: center;">
        <div class="col-lg-12">
            <div class="card h-100">
                <div class="card-body p-24">
                    <!-- Display message if set -->
                    <?php if ($message): ?>
                        <div class="message"><?php echo htmlspecialchars($message); ?></div>
                    <?php endif; ?>

                    <div class="tab-content" id="pills-tabContent">
                        <div class="tab-pane fade show active" id="pills-edit-profile" role="tabpanel" aria-labelledby="pills-edit-profile-tab" tabindex="0">
                            <h6 class="text-md text-primary-light mb-16">Add New Admin</h6>

                            <form action="" method="POST">
                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="mb-20">
                                            <label for="name" class="form-label fw-semibold text-primary-light text-sm mb-8">Full Name <span class="text-danger-600">*</span></label>
                                            <input type="text" name="name" class="form-control radius-8" id="name" placeholder="Enter Full Name" required>
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="mb-20">
                                            <label for="email" class="form-label fw-semibold text-primary-light text-sm mb-8">Email <span class="text-danger-600">*</span></label>
                                            <input type="email" name="email" class="form-control radius-8" id="email" placeholder="Enter email address" required>
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="mb-20">
                                            <label for="password" class="form-label fw-semibold text-primary-light text-sm mb-8">Password <span class="text-danger-600">*</span></label>
                                            <input type="password" name="password" class="form-control radius-8" id="password" placeholder="Enter password" required>
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="mb-20">
                                            <label for="admin_type" class="form-label fw-semibold text-primary-light text-sm mb-8">Admin Type <span class="text-danger-600">*</span></label>
                                            <select name="admin_type" class="form-control radius-8" id="admin_type" required>
                                                <option value="1">Admin</option>
                                                <option value="2">Staff</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="mt-24">
                                    <button type="submit" class="btn btn-primary radius-8">Save Changes</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php include 'footer.php'; ?>
